<?php // -*- drupal -*-

  /**
   * @file
   * Admin settings for the epublish email module
   */

   /*
   * Implementation of hook_settings().
   */

function epublish_email_admin_settings() {
    $form['display'] = array(
      '#type' => 'fieldset',
      '#title' => t('Email'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
    );

    $form['display']['epublish_email_sender_address'] = array(
      '#type' => 'textfield',
      '#title' => t('Sender Address for Epublish Emails'),
      '#default_value' => variable_get('epublish_email_sender_address', variable_get('site_mail', 'webmaster@uvmedia.com')),
      '#size' => 50,
      '#maxlength' => 128,
      '#description' => t('The email address to be used as the from in all emails sent out for epublish')
    );
    return system_settings_form($form);
  }